Skip to navigation

Get a customer withdrawal

One withdrawal by the withdrawalId from POST /withdraw, the CUSTOMER_WITHDRAW* webhooks, or the list endpoint.

Authentication

x-api-keystring
API Key authentication via header

Path parameters

idstringRequiredformat: "uuid"

Response

Withdrawal
idstringformat: "uuid"

Withdrawal id — withdrawalId from POST /withdraw and id on the CUSTOMER_WITHDRAW webhooks.

customerIdstring
statusenum
awaitingApprovalReasonenum
Allowed values:
failureReasonstring or null
mintobject
amountstring
Base units, always positive
uiAmountstring
txHashstring or null
toAddressstring
scannerUrlstring or null
createdAtdatetime
confirmedAtdatetime or null
idempotencyKeystring or null

The idempotencyKey sent on POST /withdraw, or null.

approvedAtdatetime or null
rejectedAtdatetime or null

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error